/*
----------------------------------------------------------------
Y. CIURLIK & A. DUCHENE - Projet Compil - M1GMI
-------------------------------------------------------------------
*/
#include "common.h"
#include "liste.h"

int *matrice_etat_initial;  // Tableau de transition pour l'etat initial
trans **matrice;    // Matrice representant l automate pour tous les autres etats
char* alphabet;     // L'alphabet
int nombre_etat;    // Nombre d etats de l automate
int *suppleant;     // Represente les suppleances
int taille_alphabet;  //taille de l'alphabet

void addLetterInAlphabet(char lettre);
void createMatrix();
trans* addTransition(int etat_depart, int etat_arr, char lettre);
int searchPos(char lettre);
void addTransition_etat_initial(int etat_arr, char lettre);
int isTransitionDefinie(int etat_dep, char lettre);
int getListOfTransition(int);
void createSuppleantMatrix();
void setSuppleant(int etat_dep, int etat_arr);
void postSuppleant();
void addWordInAlphabet(char*);
boolean isInAlphabet(char);
